> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Editor URL

> Resolves the URL for accessing an editor in a specific environment.

`Unary` · [`Editors`](/docs/api-reference/generated/editor/overview)

Resolves the URL for accessing an editor in a specific environment.

Use this method to:

* Get editor access URLs
* Launch editors for environments
* Set up editor connections
* Configure editor access

### Examples

* Resolve editor URL:

  Gets the URL for accessing an editor in an environment.

  ```yaml theme={null}
  editorId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048"
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.EditorService/ResolveEditorURL
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.EditorService/ResolveEditorURL" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "editorId": "<editor-id>",
    "environmentId": "<environment-id>",
    "organizationId": "<organization-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.editor_pb2 as editor_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = editor_pb2.ResolveEditorURLRequest(
      editor_id="<editor-id>",
      environment_id="<environment-id>",
      organization_id="<organization-id>",
  )
  response = ona.services.editor.resolve_editor_url(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { ResolveEditorURLRequestSchema } from "@gitpod/sdk/gitpod/v1/editor_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(ResolveEditorURLRequestSchema, {
      editorId: "<editor-id>",
      environmentId: "<environment-id>",
      organizationId: "<organization-id>",
    });
    const response = await ona.services.editor.resolveEditorURL(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.ResolveEditorURLRequest{
  		EditorId: "<editor-id>",
  		EnvironmentId: "<environment-id>",
  		OrganizationId: "<organization-id>",
  	})
  	response, err := ona.Services.Editor.ResolveEditorURL(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "editorId": "<editor-id>",
    "environmentId": "<environment-id>",
    "organizationId": "<organization-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.ResolveEditorURLRequest`

| Field            | Type   | Required | Description                                                                                                               |
| ---------------- | ------ | -------- | ------------------------------------------------------------------------------------------------------------------------- |
| `editorId`       | string | Yes      | editorId is the ID of the editor to resolve the URL for Constraints: `required=true, string.uuid=true`.                   |
| `environmentId`  | string | Yes      | environmentId is the ID of the environment to resolve the URL for Constraints: `required=true, string.uuid=true`.         |
| `organizationId` | string | Yes      | organizationId is the ID of the organization to resolve the URL for Constraints: `required=true, string.uuid=true`.       |
| `version`        | string | No       | version is the editor version to use If not provided, the latest version will be installed Examples for JetBrains: 2025.2 |

## Response

`gitpod.v1.ResolveEditorURLResponse`

| Field | Type   | Required | Description                                                  |
| ----- | ------ | -------- | ------------------------------------------------------------ |
| `url` | string | Yes      | url is the resolved editor URL Constraints: `required=true`. |
